ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package rich
  Definition Classes
    adam
- RichAlignment
- RichVariant

c

org.bdgenomics.adam.rich

# RichAlignment 

###
Companion object RichAlignment

#### case class RichAlignment(record: Alignment) extends Product with Serializable

An enriched version of an Avro Alignment.

record

  The underlying read.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RichAlignment
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new RichAlignment(record: Alignment)

   record

     The underlying read.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def fivePrimePosition: Long

   returns

     The position of the five prime end of the read.

8.  def fivePrimeReferencePosition: ReferencePosition

   returns

     The position of the five prime end of the read, wrapped as a reference position.

9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  def isMismatchAtReferencePosition(pos: ReferencePosition): Option[Boolean]

    pos

      The reference position to check for a mismatch.

    returns

      Returns true if this read overlaps the given reference position, and the base aligned at this position is a mismatch against the reference genome..

12.  lazy val mdTag: Option[MdTag]

    The MdTag if the read is mapped, None otherwise

13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  def overlapsReferencePosition(pos: ReferencePosition): Boolean

    pos

      The reference position to check for overlap.

    returns

      Returns true if this read overlaps the given reference position.

17.  lazy val qualityScoreValues: Array[Int]

    The quality scores as a list of integers.

    The quality scores as a list of integers. Assumes Illumina (33) encoding.

18.  val record: Alignment
19.  lazy val samtoolsCigar: Cigar

    Parses the text CIGAR representation of the alignment.

20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  lazy val tags: Seq[Attribute]

    On access, parses the attribute tags ("key:type:value" triples) into usable records.

22.  lazy val unclippedEnd: Long

    The position of the unclipped end if the read is mapped, None otherwise.

    The position of the unclipped end if the read is mapped, None otherwise.

    Note

      The unclipped position assumes that any clipped bases would've been aligned as an alignment match.

23.  lazy val unclippedStart: Long

    The position of the unclipped start if the read is mapped, None otherwise.

    The position of the unclipped start if the read is mapped, None otherwise.

    Note

      The unclipped position assumes that any clipped bases would've been aligned as an alignment match.

24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped